# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.2.7](https://gitlab.unige.ch///compare/v0.2.6...v0.2.7) (2019-11-06)

### [0.2.6](https://gitlab.unige.ch///compare/v0.2.5...v0.2.6) (2019-11-06)


### Bug Fixes

* rollback update to translate validation message ([8c6a829](https://gitlab.unige.ch///commit/8c6a829))

### [0.2.5](https://gitlab.unige.ch///compare/v0.2.4...v0.2.5) (2019-11-06)


### Bug Fixes

* missing coma in package json ([f0544b0](https://gitlab.unige.ch///commit/f0544b0))
* move as peer dependencies libs ([d89d565](https://gitlab.unige.ch///commit/d89d565))

### [0.2.4](https://gitlab.unige.ch///compare/v0.2.3...v0.2.4) (2019-11-05)


### Bug Fixes

* add environment variable to translate validation message ([3465bb0](https://gitlab.unige.ch///commit/3465bb0))

### [0.2.3](https://gitlab.unige.ch///compare/v0.2.2...v0.2.3) (2019-11-05)


### Bug Fixes

* move schematic to dev dependancy ([ed0cef9](https://gitlab.unige.ch///commit/ed0cef9))
* unit test on date util ([6e11737](https://gitlab.unige.ch///commit/6e11737))
* update date format ISO8601 to include ms ([f8bf41f](https://gitlab.unige.ch///commit/f8bf41f))

### [0.2.2](https://gitlab.unige.ch///compare/v0.2.1...v0.2.2) (2019-11-04)


### Features

* add usage of query parameters in composition state ([d6949c2](https://gitlab.unige.ch///commit/d6949c2))

### [0.2.1](https://gitlab.unige.ch///compare/v0.2.0...v0.2.1) (2019-10-31)

## [0.2.0](https://gitlab.unige.ch///compare/v0.1.21...v0.2.0) (2019-10-29)

### [0.1.21](https://gitlab.unige.ch///compare/v0.1.20...v0.1.21) (2019-10-25)


### Features

* add avaibility to use callback to redirect after create, update or delete success of resource ([02a88b6](https://gitlab.unige.ch///commit/02a88b6))

### [0.1.20](https://gitlab.unige.ch///compare/v0.1.19...v0.1.20) (2019-10-24)


### Features

* add api method to patch by id with custom url ([fd7a572](https://gitlab.unige.ch///commit/fd7a572))

### [0.1.19](https://gitlab.unige.ch///compare/v0.1.18...v0.1.19) (2019-10-23)

### [0.1.18](https://gitlab.unige.ch///compare/v0.1.17...v0.1.18) (2019-10-23)


### Bug Fixes

* update value and validity of field with only frontend error ([9bc1d37](https://gitlab.unige.ch///commit/9bc1d37))


### Features

* add validation directive ([cc3f7db](https://gitlab.unige.ch///commit/cc3f7db))

### [0.1.17](https://gitlab.unige.ch///compare/v0.1.16...v0.1.17) (2019-10-18)


### Features

* allow usage of component for notification snackbar ([294e369](https://gitlab.unige.ch///commit/294e369))

### [0.1.16](https://gitlab.unige.ch///compare/v0.1.15...v0.1.16) (2019-10-15)


### Bug Fixes

* allow status in error dto to be a number ([1a985b3](https://gitlab.unige.ch///commit/1a985b3))
* DLCM-822 override url at runtime not take into account on NGXS state ([465bce2](https://gitlab.unige.ch///commit/465bce2))

### [0.1.15](https://gitlab.unige.ch///compare/v0.1.14...v0.1.15) (2019-10-08)


### Features

* add relation 3 tiers get by id ([99072df](https://gitlab.unige.ch///commit/99072df))

### [0.1.14](https://gitlab.unige.ch///compare/v0.1.13...v0.1.14) (2019-10-04)


### Bug Fixes

* restore to default value before create ([f9913d4](https://gitlab.unige.ch///commit/f9913d4))

### [0.1.13](https://gitlab.unige.ch///compare/v0.1.12...v0.1.13) (2019-10-03)


### Bug Fixes

* clean selected value after update/delete success without refresh ([4620020](https://gitlab.unige.ch///commit/4620020))
* export base state ([02f0413](https://gitlab.unige.ch///commit/02f0413))

### [0.1.12](https://gitlab.unige.ch///compare/v0.1.11...v0.1.12) (2019-10-01)


### Bug Fixes

* make configuration reinit of state when get ([de3c3a3](https://gitlab.unige.ch///commit/de3c3a3))
* reset current and select value on get all and get by id ([eb2e29c](https://gitlab.unige.ch///commit/eb2e29c))
* set selected and current value to undefined when get ([39d78d8](https://gitlab.unige.ch///commit/39d78d8))

### [0.1.11](https://gitlab.unige.ch///compare/v0.1.10...v0.1.11) (2019-09-26)


### Bug Fixes

* lint error ([9a71912](https://gitlab.unige.ch///commit/9a71912))

### [0.1.10](https://gitlab.unige.ch///compare/v0.1.9...v0.1.10) (2019-09-25)


### Bug Fixes

* lint error ([4f6330e](https://gitlab.unige.ch///commit/4f6330e))
* relation 3 tiers to set as sequential ([4af82c3](https://gitlab.unige.ch///commit/4af82c3))
* ts lint error ([5f6a7d5](https://gitlab.unige.ch///commit/5f6a7d5))

### [0.1.9](https://gitlab.unige.ch///compare/v0.1.8...v0.1.9) (2019-09-23)


### Features

* add method in store util to force sequential call to backend ([52460d2](https://gitlab.unige.ch///commit/52460d2))

### [0.1.8](https://gitlab.unige.ch///compare/v0.1.7...v0.1.8) (2019-09-20)


### Bug Fixes

* relation 3 tiers ([46cd449](https://gitlab.unige.ch///commit/46cd449))

### [0.1.7](https://gitlab.unige.ch///compare/v0.1.6...v0.1.7) (2019-09-17)


### Features

* update resource state ([016d9f5](https://gitlab.unige.ch///commit/016d9f5))

### [0.1.6](https://gitlab.unige.ch///compare/v0.1.5...v0.1.6) (2019-09-16)


### Bug Fixes

* update action on resource state update the current value ([98b0824](https://gitlab.unige.ch///commit/98b0824))


### Features

* add enum util ([f305168](https://gitlab.unige.ch///commit/f305168))

### [0.1.5](https://gitlab.unige.ch///compare/v0.1.4...v0.1.5) (2019-09-13)


### Bug Fixes

* comment the memoized selector isLoading that doesn't work when there is several usage ([bd0cb44](https://gitlab.unige.ch///commit/bd0cb44))

### [0.1.4](https://gitlab.unige.ch///compare/v0.1.3...v0.1.4) (2019-09-12)


### Features

* Update state ([e32ed5b](https://gitlab.unige.ch///commit/e32ed5b))

### [0.1.3](https://gitlab.unige.ch///compare/v0.1.2...v0.1.3) (2019-09-10)


### Features

* add method in date util ([36934fc](https://gitlab.unige.ch///commit/36934fc))

### [0.1.2](https://gitlab.unige.ch///compare/v0.1.1...v0.1.2) (2019-09-04)


### Bug Fixes

* ignore ts lint error on ngxs selector ([583dc3a](https://gitlab.unige.ch///commit/583dc3a))


### Features

* add memoized selector on state ([5a71107](https://gitlab.unige.ch///commit/5a71107))
* **solidify-frontend:** new relation state ([fe26e36](https://gitlab.unige.ch///commit/fe26e36))

### [0.1.1](https://gitlab.unige.ch///compare/v0.1.0...v0.1.1) (2019-09-03)


### Features

* add readonly state ([6465d3c](https://gitlab.unige.ch///commit/6465d3c))

## [0.1.0](https://gitlab.unige.ch///compare/v0.0.8...v0.1.0) (2019-08-29)


### Bug Fixes

* don't log stacktrace error to avoid overload of useless data (JS info) ([c2e7657](https://gitlab.unige.ch///commit/c2e7657))

### [0.0.8](https://gitlab.unige.ch///compare/v0.0.7...v0.0.8) (2019-08-26)


### Features

* add option object on all state ([d0d43e3](https://gitlab.unige.ch///commit/d0d43e3))

### [0.0.7](https://gitlab.unige.ch///compare/v0.0.6...v0.0.7) (2019-08-26)


### Features

* translate all notifications ([565fc4e](https://gitlab.unige.ch///commit/565fc4e))

### [0.0.6](https://gitlab.unige.ch///compare/v0.0.5...v0.0.6) (2019-08-23)


### Features

* add delete list action for association remote ([3b3d329](https://gitlab.unige.ch///commit/3b3d329))

### [0.0.5](https://gitlab.unige.ch///compare/v0.0.3...v0.0.5) (2019-08-22)


### Bug Fixes

* async validation on input that doesn't have other validation ([3ce1bda](https://gitlab.unige.ch///commit/3ce1bda))
* date result when input is null, undefined or whitespace ([535d69f](https://gitlab.unige.ch///commit/535d69f))
* remove oauth information in url after authentification ([d94ecf9](https://gitlab.unige.ch///commit/d94ecf9))

### [0.0.3](https://gitlab.unige.ch///compare/v0.0.1...v0.0.3) (2019-08-20)


### Bug Fixes

* allow override of env setting on OAuth2Interceptor ([1909ad3](https://gitlab.unige.ch///commit/1909ad3))
* increase state ([675ebe7](https://gitlab.unige.ch///commit/675ebe7))
* unit test error with environment injection token import ([b1332b8](https://gitlab.unige.ch///commit/b1332b8))


### Features

* add on relation 2 tiers Update Relation and Delete By Id ([0bb3745](https://gitlab.unige.ch///commit/0bb3745))

### [0.0.2](https://gitlab.unige.ch///compare/v0.0.1...v0.0.2) (2019-08-09)

### 0.0.1 (2019-08-08)

### 0.0.1 (2019-07-26)

## 0.0.0 (2019-07-25)
