// This file should contains all the defaults solidify settings
// If you want to override properties for specific environment, do it in these files

import {DefaultErrorHandlerEnvironment} from "./environment.solidify-error-handler";
import {DefaultMessageEnvironment} from "./environment.solidify-message";
import {DefaultNotificationEnvironment} from "./environment.solidify-notification";
import {DefaultOauthEnvironment} from "./environment.solidify-oauth";

export interface DefaultSolidifyEnvironment extends DefaultOauthEnvironment, DefaultMessageEnvironment, DefaultNotificationEnvironment, DefaultErrorHandlerEnvironment {
  production: boolean;
  forceRuntimeOverrideSetting: boolean;
}
