/* tslint:disable:no-console */
import {Injectable} from "@angular/core";

@Injectable({
  providedIn: "root",
})
export class LoggingService {
  logError(message: string, stackTrace: string, error: Error): void {
    // TODO Send error and stacktrace to backend (check that stacktrace contains TS files and not JS files)
    console.error("Solidify Logging Service: \"" + message + "\". (See below for more info)"); // , stackTrace, error);
  }

  logInfo(message: string, ...param: any[]): void {
    console.log(message, ...param);
  }

  logWarning(message: string, ...param: any[]): void {
    console.warn(message, ...param);
  }
}
