import {BaseStoreNameSpace} from "../../models/stores/base-store-namespace.model";
import {StoreActionClass} from "../../models/stores/state-action.model";

export interface CompositionNameSpace extends BaseStoreNameSpace {
  GetAll: StoreActionClass;
  GetAllSuccess: StoreActionClass;
  GetAllFail: StoreActionClass;
  Create: StoreActionClass;
  CreateSuccess: StoreActionClass;
  CreateFail: StoreActionClass;
  Delete: StoreActionClass;
  DeleteSuccess: StoreActionClass;
  DeleteFail: StoreActionClass;
  Update: StoreActionClass;
  UpdateSuccess: StoreActionClass;
  UpdateFail: StoreActionClass;
}
