import {
  BaseResourceState,
  BaseResourceType,
} from "../../models";
import {FormState} from "../../models/forms/form-state.model";

export interface ResourceStateModel<TResource extends BaseResourceType> extends BaseResourceState {
  list: TResource[];
  current: TResource;
  form?: FormState<TResource>;
}
