import {IsBooleanPipe} from "./is-boolean.pipe";
import {IsFalsePipe} from "./is-false.pipe";
import {IsFunctionPipe} from "./is-function.pipe";
import {IsNonEmptyArrayPipe} from "./is-non-empty-array.pipe";
import {IsNonEmptyStringPipe} from "./is-non-empty-string.pipe";
import {IsNullOrUndefinedPipe} from "./is-null-or-undefined.pipe";
import {IsNumberFinitePipe} from "./is-number-finite.pipe";
import {IsNumberInvalidPipe} from "./is-number-invalid.pipe";
import {IsNumberValidPipe} from "./is-number-valid.pipe";
import {IsNumberPipe} from "./is-number.pipe";
import {IsTruePipe} from "./is-true.pipe";
import {IsTruthyObjectPipe} from "./is-truthy-object.pipe";
import {IsTruthyPipe} from "./is-truthy.pipe";

export const isPipes = [
  IsBooleanPipe,
  IsFalsePipe,
  IsFunctionPipe,
  IsNonEmptyArrayPipe,
  IsNonEmptyStringPipe,
  IsNullOrUndefinedPipe,
  IsNumberPipe,
  IsNumberFinitePipe,
  IsNumberInvalidPipe,
  IsNumberValidPipe,
  IsTruePipe,
  IsTruthyPipe,
  IsTruthyObjectPipe,
];
